//-----------------------------------------------------------------------------
// Copyright (c) 2012 GarageGames, LLC
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
// IN THE SOFTWARE.
//-----------------------------------------------------------------------------

// This is the default save location for any TSForestItemData(s) created in the
// Forest Editor Editor (this script is executed from onServerCreated())

datablock TSForestItemData(tree_oak_sml_a)
{
    internalName = "tree_oak_sml_a";
    shapeFile = "levels/east_coast_usa/art/shapes/trees/trees_oak/tree_oak_sml_a.dae";
    tightnessCoefficient = "4";
    windScale = "0.4";
    trunkBendScale = "0.05";
    branchAmp = "0.1";
    detailAmp = "0.5";
    detailFreq = "0.6";
};

datablock TSForestItemData(tree_oak_sml_b)
{
    internalName = "tree_oak_sml_b";
    shapeFile = "levels/east_coast_usa/art/shapes/trees/trees_oak/tree_oak_sml_b.dae";
    tightnessCoefficient = "4";
    windScale = "0.4";
    trunkBendScale = "0.05";
    branchAmp = "0.1";
    detailAmp = "0.5";
    detailFreq = "0.6";
};

datablock TSForestItemData(tree_oak_large_a)
{
    internalName = "tree_oak_large_a";
    shapeFile = "levels/east_coast_usa/art/shapes/trees/trees_oak/tree_oak_large_a.dae";
    tightnessCoefficient = "4";
    windScale = "0.4";
    trunkBendScale = "0.05";
    branchAmp = "0.1";
    detailAmp = "1";
    detailFreq = "0.6";
    rigidity = "10";
};

datablock TSForestItemData(tree_oak_large_b)
{
    internalName = "tree_oak_large_b";
    shapeFile = "levels/east_coast_usa/art/shapes/trees/trees_oak/tree_oak_large_b.dae";
    tightnessCoefficient = "4";
    windScale = "0.4";
    trunkBendScale = "0.05";
    branchAmp = "0.1";
    detailAmp = "1";
    detailFreq = "0.6";
    rigidity = "10";
};

datablock TSForestItemData(tree_oak_large_c)
{
    internalName = "tree_oak_large_c";
    shapeFile = "levels/east_coast_usa/art/shapes/trees/trees_oak/tree_oak_large_c.dae";
    tightnessCoefficient = "4";
    windScale = "0.4";
    trunkBendScale = "0.05";
    branchAmp = "0.1";
    detailAmp = "1";
    detailFreq = "0.6";
    rigidity = "10";
};

datablock TSForestItemData(tree_oak_bush_a)
{
    internalName = "tree_oak_bush_a";
    shapeFile = "levels/east_coast_usa/art/shapes/trees/trees_oak/tree_oak_bush_a.dae";
    tightnessCoefficient = "4";
    windScale = "0.3";
    trunkBendScale = "0.05";
    branchAmp = "0";
    detailAmp = "1";
    detailFreq = "0.3";
};

datablock TSForestItemData(tree_oak_bush_b)
{
    internalName = "tree_oak_bush_b";
    shapeFile = "levels/east_coast_usa/art/shapes/trees/trees_oak/tree_oak_bush_b.dae";
    tightnessCoefficient = "4";
    windScale = "0.3";
    trunkBendScale = "0.05";
    branchAmp = "0";
    detailAmp = "1";
    detailFreq = "0.3";
};
