local M = {}

local running = true
local scenario = nil
local speed = 0
local car1 = 0
local result = {msg = 'I... guess you didn\'t really NEED the ramp. Would\'ve been cooler, for sure.'}

local helper = require('scenario/scenariohelper')

local function reset()
    running = false
	car1 = 0
end

local function fail(reason)
    scenarios.finish({failed = reason})
    reset()
end

local function success(speed)
    scenarios.finish(result)
    reset()
end

local function onBeamNGTrigger(data)
	result = {msg = 'That cop car jump looked AWESOME.'}
	--if data.subjectName == 'scenario_player0' then
	--	result = {msg = 'That cop car jump looked AWESOME.'}
	--end
end

local function onRaceStart()
    reset()

    helper.init()

    helper.trackVehicle('scenario_player0', 'playerCar')
	helper.queueLuaCommandByName('aiCar2', 'electrics.toggle_lightbar_signal()')
	result = {msg = 'I... guess you didn\'t really NEED the ramp. Would\'ve been cooler, for sure.'}

    running = true
end

local function onRaceWaypoint( data )
    if data.waypointName == 'wp01' then
		car1 = 1
		print('wp01 triggered')
	elseif data.waypointName == 'wp05' then
		success(speed)
	end
end

local function onRaceTick(raceTickTime)
    if not running then
        return
    end
	
	if car1 == 1 then
		print('trigger 1 read')
		helper.setAiMode('aiCar1', 'manual')
		helper.setAiAggression('aiCar1', 1)
		helper.setAiTarget('aiCar1', 'StuyvesantEB_AM')
		helper.trackVehicle('aiCar1', 'aiCarA')
	end

    helper.update(raceTickTime)

    local playerCarData = map.objects[map.objectNames['playerCar']]

    if not playerCarData then
        return
    end
	
	if playerCarData.damage >= 30000 then
		fail("You crashed your car!")
	end

    if scenario.timer > 80 then
		fail("You lost!")
    end
end

local function onScenarioChange(sc)
    scenario = sc
end

M.onRaceStart = onRaceStart
M.onRaceWaypoint = onRaceWaypoint
M.onRaceTick = onRaceTick
M.onBeamNGTrigger = onBeamNGTrigger
M.onScenarioChange = onScenarioChange

return M